package org.seasar.jsf.application;

import java.io.Serializable;

/**
 * @author higa
 * 
 */
public class TreeStructure implements Serializable {
	
	static final long serialVersionUID = 0L;
	
	private String componentClassName;

	private String componentId;

	private TreeStructure[] children;

	private Object[] facets;

	public TreeStructure(String componentClassName, String componentId) {
		this.componentClassName = componentClassName;
		this.componentId = componentId;
	}

	public String getComponentClassName() {
		return componentClassName;
	}

	public String getComponentId() {
		return componentId;
	}

	public TreeStructure[] getChildren() {
		return children;
	}
	
	public void setChildren(TreeStructure[] children) {
		this.children = children;
	}

	public Object[] getFacets() {
		return facets;
	}

	public void setFacets(Object[] facets) {
		this.facets = facets;
	}
}